## okular 4.11.2

=== debian/changelog ===
okular (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:51:35 +0100

okular (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:38:10 +0100

okular (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:40:45 +0100

okular (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:01:52 +0100

okular (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:30 +0000

okular (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Fix the symbols file for libokularcore3.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:29:25 +0100

okular (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
 
  [ Howard Chan ]
  * Fix okularcore to new SOVERSION along with symbols and install  
    file changes.
  * Fixed some install files.
  * Updated the control file to enable the new SOVERSION. 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:47:10 +0100

okular (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Add build-depends on plasma-active-dev and plasma-widgets-active

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:49:29 +0100

okular (4:4.10.3-0ubuntu2) saucy; urgency=low

  * Update symbols files for arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 30 May 2013 12:26:07 +0100

okular (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - Add enable_debianabimanager.diff
   - Make libokularcore2 abi1
   - Build-dep on libtiff5-dev instead of 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:58 +0000

okular (4:4.10.2-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Maximiliano Curia ]
  * New library version libokularcore.so.2.
    - Rename library package to libokularcore2.
    - Add new symbols file.
  * Add okular manpage.
  * Add libkactivities-dev as a build-dep.
  * Update debian/copyright file.
  * Add new headers to okular-dev.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Apr 2013 12:43:20 +0200

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 pkg-config,
 libkactivities-dev (>= 4:4.11.2),
 libdjvulibre-dev,
 libepub-dev,
 libpoppler-qt4-dev (>= 0.8.0),
 libqca2-dev,
 libqimageblitz-dev,
 libspectre-dev,
 libtiff5-dev,
 libx11-dev,
 libchm-dev,
 libjpeg-dev,
 libfreetype6-dev,
 zlib1g-dev,
 plasma-active-dev,
 plasma-widgets-active
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git

Package: libokularcore3
X-Debian-ABI: 0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore3 (= ${binary:Version})
Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore3 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libokularcore3}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: active-documentviewer
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore3 (= ${binary:Version})
Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
Provides: pdf-viewer, postscript-viewer
Description: universal document viewer for Plasma Active
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the app for Plasma Active.

Package: okular-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, okular (= ${binary:Version})
Replaces: kdegraphics-dbg (<= 4.6.90)
Breaks: kdegraphics-dbg (<= 4.6.90)
Description: debugging symbols for okular
 This package contains debugging files used to investigate problems with
 binaries included in the KDE okular document viewer

## okular 4.11.5

=== debian/changelog ===
okular (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:52:55 +0100

okular (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)
  * Add new documentation pictures to okular.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:11:14 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  pkg-config,
- libkactivities-dev (>= 4:4.11.2),
+ libkactivities-dev (>= 4:4.11.3),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
@@ -26,8 +26,8 @@
  plasma-widgets-active
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git

## okular 4.13.0

=== CMakeLists.txt ===
project(okular)

find_package(KDE4 4.6.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

macro_optional_find_package(QImageBlitz)
macro_log_feature(QIMAGEBLITZ_FOUND "QImageBlitz" "An image effects library" "http://sourceforge.net/projects/qimageblitz" TRUE "kdesupport" "Required to build Okular.")

macro_optional_find_package(LibKScreen)
macro_log_feature(LibKScreen_FOUND "LibKScreen" "KDE screen management library" "https://projects.kde.org/projects/kdereview/libkscreen" FALSE "1.0.2" "DPI detection support")

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${KDE4_INCLUDES}
   ${QIMAGEBLITZ_INCLUDES}
   ${LibKScreen_INCLUDE_DIR}
)

add_subdirectory( active )
add_subdirectory( ui )
add_subdirectory( shell )
add_subdirectory( generators )
add_subdirectory( tests )
macro_optional_add_subdirectory(doc)

include(OkularConfigureChecks.cmake)
include(MacroWriteBasicCMakeVersionFile)

if(NOT WIN32)
 set(MATH_LIB m)
else(NOT WIN32)
 set(MATH_LIB)
endif(NOT WIN32)

# okularcore

set(okularcore_SRCS
   core/action.cpp
   core/annotations.cpp
   core/area.cpp
   core/audioplayer.cpp
   core/bookmarkmanager.cpp
   core/chooseenginedialog.cpp
   core/document.cpp
   core/documentcommands.cpp
   core/fontinfo.cpp
   core/form.cpp
   core/generator.cpp
   core/generator_p.cpp
   core/misc.cpp
   core/movie.cpp
   core/observer.cpp
   core/page.cpp
   core/pagecontroller.cpp
   core/pagesize.cpp
   core/pagetransition.cpp
   core/rotationjob.cpp
   core/scripter.cpp
   core/sound.cpp
   core/sourcereference.cpp
   core/textdocumentgenerator.cpp
   core/textdocumentsettings.cpp
   core/textpage.cpp
   core/tilesmanager.cpp
   core/utils.cpp
   core/view.cpp
   core/fileprinter.cpp
   core/script/executor_kjs.cpp
   core/script/kjs_app.cpp
   core/script/kjs_console.cpp
   core/script/kjs_data.cpp
   core/script/kjs_document.cpp
   core/script/kjs_fullscreen.cpp
   core/script/kjs_field.cpp
   core/script/kjs_spell.cpp
   core/script/kjs_util.cpp
)

kde4_add_ui_files(okularcore_SRCS
   conf/textdocumentsettings.ui
)

install( FILES
           core/action.h
           core/annotations.h
           core/area.h
           core/document.h
           core/fontinfo.h
           core/form.h
           core/generator.h
           core/global.h
           core/okular_export.h
           core/page.h
           core/pagesize.h
           core/pagetransition.h
           core/sound.h
           core/sourcereference.h
           core/textdocumentgenerator.h
           core/textdocumentsettings.h
           core/textpage.h
           core/tile.h
           core/utils.h
           core/version.h
           core/fileprinter.h
           core/observer.h
           ${CMAKE_CURRENT_BINARY_DIR}/settings_core.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/okular/core COMPONENT Devel)

install( FILES
           interfaces/configinterface.h
           interfaces/guiinterface.h
           interfaces/printinterface.h
           interfaces/saveinterface.h
           interfaces/viewerinterface.h
         DESTINATION ${INCLUDE_INSTALL_DIR}/okular/interfaces COMPONENT Devel)

kde4_add_ui_files(okularcore_SRCS
   core/chooseenginewidget.ui
)

kde4_add_kcfg_files(okularcore_SRCS conf/settings_core.kcfgc )

kde4_add_library(okularcore SHARED ${okularcore_SRCS})

# Special handling for linking okularcore on OSX/Apple
IF(APPLE)
    SET(OKULAR_IOKIT "-framework IOKit" CACHE STRING "Apple IOKit framework")
ENDIF(APPLE)

target_link_libraries(okularcore  ${OKULAR_IOKIT} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBRARY} ${KDE4_KJSAPI_LIBRARY} ${MATH_LIB} ${KDE4_THREADWEAVER_LIBRARY} )

if(LibKScreen_FOUND)
    target_link_libraries(okularcore ${LibKScreen_LIBRARY})
endif(LibKScreen_FOUND)

set_target_properties(okularcore PROPERTIES VERSION 4.0.0 SOVERSION 4 )

install(TARGETS okularcore ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES conf/okular.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES conf/okular_core.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES core/okularGenerator.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

# okularpart

set(okularpart_SRCS
   part.cpp
   extensions.cpp
   conf/preferencesdialog.cpp
   conf/dlgaccessibility.cpp
   conf/dlgdebug.cpp
   conf/dlgeditor.cpp
   conf/dlggeneral.cpp
   conf/dlgannotations.cpp
   conf/dlgperformance.cpp
   conf/dlgpresentation.cpp
   conf/widgetannottools.cpp
   ui/embeddedfilesdialog.cpp
   ui/annotwindow.cpp
   ui/annotationmodel.cpp
   ui/annotationpopup.cpp
   ui/annotationpropertiesdialog.cpp
   ui/annotationproxymodels.cpp
   ui/annotationtools.cpp
   ui/annotationwidgets.cpp
   ui/bookmarklist.cpp
   ui/fileprinterpreview.cpp
   ui/findbar.cpp
   ui/formwidgets.cpp
   ui/guiutils.cpp
   ui/ktreeviewsearchline.cpp
   ui/latexrenderer.cpp
   ui/minibar.cpp
   ui/pageitemdelegate.cpp
   ui/pagepainter.cpp
   ui/pagesizelabel.cpp
   ui/pageviewannotator.cpp
   ui/pageview.cpp
   ui/magnifierview.cpp
   ui/pageviewutils.cpp
   ui/presentationsearchbar.cpp
   ui/presentationwidget.cpp
   ui/propertiesdialog.cpp
   ui/searchlineedit.cpp
   ui/searchwidget.cpp
   ui/sidebar.cpp
   ui/side_reviews.cpp
   ui/snapshottaker.cpp
   ui/thumbnaillist.cpp
   ui/toc.cpp
   ui/tocmodel.cpp
   ui/toolaction.cpp
   ui/tts.cpp
   ui/videowidget.cpp
)

kde4_add_ui_files(okularpart_SRCS
   conf/dlgaccessibilitybase.ui
   conf/dlgeditorbase.ui
   conf/dlggeneralbase.ui
   conf/dlgannotationsbase.ui
   conf/dlgperformancebase.ui
   conf/dlgpresentationbase.ui
)

kde4_add_kcfg_files(okularpart_SRCS conf/settings.kcfgc )

qt4_add_dbus_interfaces(okularpart_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml)

kde4_add_plugin(okularpart SHARED ${okularpart_SRCS})

target_link_libraries(okularpart okularcore ${KDE4_KPARTS_LIBS} ${KDE4_KPRINTUTILS_LIBS} ${MATH_LIB} ${QIMAGEBLITZ_LIBRARIES} ${KDE4_PHONON_LIBRARY} ${KDE4_SOLID_LIBRARY})

install(TARGETS okularpart DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES okular.upd DESTINATION ${DATA_INSTALL_DIR}/kconf_update)

install( FILES okular_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES part.rc part-viewermode.rc DESTINATION ${DATA_INSTALL_DIR}/okular )

########### cmake files #################

macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/OkularConfigVersion.cmake 0 11 80)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/OkularConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/OkularConfigVersion.cmake
        DESTINATION ${LIB_INSTALL_DIR}/cmake/Okular )

macro_display_feature_log()

=== generators/CMakeLists.txt ===
include (MacroLogFeature)

set(LIBSPECTRE_MINIMUM_VERSION "0.2")

macro_optional_find_package(Poppler)
macro_log_feature(HAVE_POPPLER_0_12_1 "Poppler-Qt4" "A PDF rendering library" "http://poppler.freedesktop.org" FALSE "0.12.1" "Support for PDF files in okular.")

macro_optional_find_package(LibSpectre)
macro_log_feature(LIBSPECTRE_FOUND "libspectre" "A PostScript rendering library" "http://libspectre.freedesktop.org/wiki/" FALSE "${LIBSPECTRE_MINIMUM_VERSION}" "Support for PS files in okular.")

macro_optional_find_package(Kexiv2)
macro_log_feature(KEXIV2_FOUND "LibKExiv2" "Wrapper around Exiv2 library" "http://www.digikam.org/sharedlibs" FALSE "" "Support for image files")

macro_optional_find_package(CHM)
macro_log_feature(CHM_FOUND "CHM" "A library for dealing with Microsoft ITSS/CHM format files" "http://www.jedrea.com/chmlib" FALSE "" "Support CHM files in okular.")

macro_optional_find_package(DjVuLibre)
macro_log_feature(DJVULIBRE_FOUND "DjVuLibre" "A library for dealing with DjVu formatted files" "http://djvulibre.djvuzone.org" FALSE "3.5.17" "Support for DjVu files in okular.")

macro_optional_find_package(TIFF)
macro_log_feature(TIFF_FOUND "libTIFF" "A library for reading and writing TIFF formatted files," "http://www.remotesensing.org/libtiff" FALSE "" "Support for TIFF files in okular.")

macro_optional_find_package(Freetype)
macro_log_feature(FREETYPE_FOUND "FreeType" "A font rendering engine" "http://www.freetype.org" FALSE "" "Provides freetype font support in the okular DVI generator.")

macro_optional_find_package(JPEG)
macro_log_feature(JPEG_FOUND "JPEG" "A library for reading and writing JPEG image files." "http://www.ijg.org" FALSE "" "Support fof PalmDB documents in okular.")
macro_optional_find_package(ZLIB)
macro_log_feature(ZLIB_FOUND "ZLib" "The Zlib compression library" "http://www.zlib.net" FALSE "" "Support for Plucker files in Okular.")

macro_optional_find_package(EPub)
macro_log_feature(EPUB_FOUND "libepub" "A library for reading EPub documents" "http://sourceforge.net/projects/ebook-tools" FALSE "" "Support for EPub documents in Okular.")

macro_optional_find_package(QMobipocket)
macro_log_feature(QMOBIPOCKET_FOUND "libqmobipocket" "A library for reading Mobipocket documents" "https://projects.kde.org/projects/kde/kdegraphics/kdegraphics-mobipocket" FALSE "" "Support for Mobipocket documents in Okular.")

# let's enable the generators properly configured

if(POPPLER_FOUND AND HAVE_POPPLER_0_12_1)
  add_subdirectory(poppler)
endif(POPPLER_FOUND AND HAVE_POPPLER_0_12_1)

if(LIBSPECTRE_FOUND)
  add_subdirectory(spectre)
endif(LIBSPECTRE_FOUND)

if(KEXIV2_FOUND)
  add_subdirectory( kimgio )
endif(KEXIV2_FOUND)

if(CHM_FOUND)
  add_subdirectory( chm )
endif(CHM_FOUND)

if(DJVULIBRE_FOUND)
  add_subdirectory(djvu)
endif(DJVULIBRE_FOUND)

add_subdirectory(dvi)

if(TIFF_FOUND)
  add_subdirectory(tiff)
endif(TIFF_FOUND)

add_subdirectory(xps)

add_subdirectory(ooo)

add_subdirectory(fictionbook)

add_subdirectory(comicbook)

add_subdirectory(fax)

if(JPEG_FOUND AND ZLIB_FOUND)
  add_subdirectory(plucker)
endif(JPEG_FOUND AND ZLIB_FOUND)

if(EPUB_FOUND)
  add_subdirectory(epub)
endif(EPUB_FOUND)

add_subdirectory(txt)

if(QMOBIPOCKET_FOUND)
  add_subdirectory(mobipocket)
endif()

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

kde4_add_unit_test( shelltest shelltest.cpp ../shell/shellutils.cpp )
target_link_libraries( shelltest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

kde4_add_unit_test( parttest parttest.cpp )
target_link_libraries( parttest ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} okularpart okularcore )

kde4_add_unit_test( documenttest documenttest.cpp )
target_link_libraries( documenttest ${KDE4_KDECORE_LIBS} ${KDE4_THREADWEAVER_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} okularcore )

kde4_add_unit_test( searchtest searchtest.cpp )
target_link_libraries( searchtest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} okularcore )

kde4_add_unit_test( annotationstest annotationstest.cpp )
target_link_libraries( annotationstest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} okularcore )

kde4_add_unit_test( urldetecttest urldetecttest.cpp )
target_link_libraries( urldetecttest ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY} )

kde4_add_unit_test( editannotationcontentstest editannotationcontentstest.cpp testingutils.cpp)
target_link_libraries( editannotationcontentstest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} okularcore )

kde4_add_unit_test( addremoveannotationtest addremoveannotationtest.cpp testingutils.cpp)
target_link_libraries( addremoveannotationtest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} okularcore )

kde4_add_unit_test( translateannotationtest translateannotationtest.cpp testingutils.cpp)
target_link_libraries( translateannotationtest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} okularcore )

kde4_add_unit_test( modifyannotationpropertiestest modifyannotationpropertiestest.cpp testingutils.cpp)
target_link_libraries( modifyannotationpropertiestest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} okularcore )

kde4_add_unit_test( editformstest editformstest.cpp )
target_link_libraries( editformstest ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} okularcore )

=== active/components/CMakeLists.txt ===
project(okular)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QIMAGEBLITZ_INCLUDES}
)

set(okular_SRCS
    okularplugin.cpp
    ${CMAKE_SOURCE_DIR}/ui/pagepainter.cpp
    ${CMAKE_SOURCE_DIR}/ui/guiutils.cpp
    ${CMAKE_SOURCE_DIR}/ui/tocmodel.cpp
    pageitem.cpp
    documentitem.cpp
    thumbnailitem.cpp
    )
    
kde4_add_kcfg_files(okular_SRCS ${CMAKE_SOURCE_DIR}/conf/settings.kcfgc )

qt4_automoc(${okular_SRCS})

kde4_add_library(okularplugin SHARED ${okular_SRCS})
target_link_libraries(okularplugin
        ${QT_QTCORE_LIBRARY}
        ${QT_QTGUI_LIBRARY}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${QT_QTXML_LIBRARY}
        ${KDE4_KDECORE_LIBRARY}
        ${KDE4_KDEUI_LIBRARY}
        ${KDE4_KIO_LIBRARY}
        ${QIMAGEBLITZ_LIBRARIES}
        okularcore
        )

install(TARGETS okularplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/okular)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/okular)

#add_subdirectory(test)

=== generators/dvi/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_BINARY_DIR}/okular
)

#add_definitions(-DDEBUG_DVIRENDERER -DDEBUG_RENDER -DDEBUG_PRESCAN -DDEBUG_PSGS -DDEBUG_FONTPOOL)

if (FREETYPE_FOUND)
   add_definitions(-DHAVE_FREETYPE)
   include_directories(${FREETYPE_INCLUDE_DIRS})
else (FREETYPE_FOUND)
   remove_definitions(-DHAVE_FREETYPE)
endif (FREETYPE_FOUND)

########### next target ###############

set(okularGenerator_dvi_SRCS
   generator_dvi.cpp
   bigEndianByteReader.cpp
   dviRenderer.cpp
   dviRenderer_draw.cpp
   dviRenderer_prescan.cpp
   dviRenderer_dr.cpp
   special.cpp
   dviFile.cpp
   dviPageInfo.cpp
   psgs.cpp
#   psheader.cpp        # already included in psgs.cpp
   glyph.cpp
   TeXFont.cpp
   TeXFontDefinition.cpp
   vf.cpp
   TeXFont_PFB.cpp
   TeXFont_PK.cpp
   TeXFont_TFM.cpp
   util.cpp
   pageSize.cpp
   simplePageSize.cpp
   length.cpp
   fontEncoding.cpp
   fontEncodingPool.cpp
   fontMap.cpp
   fontpool.cpp
   fontprogress.cpp
   dvisourcesplitter.cpp
   dviexport.cpp
)


kde4_add_plugin(okularGenerator_dvi ${okularGenerator_dvi_SRCS})

target_link_libraries(okularGenerator_dvi okularcore ${KDE4_KIO_LIBS} ${MATH_LIB})
if (FREETYPE_FOUND)
   target_link_libraries(okularGenerator_dvi ${FREETYPE_LIBRARIES})
endif (FREETYPE_FOUND)

install(TARGETS okularGenerator_dvi DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_dvi.desktop okularDvi.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_dvi.desktop active-documentviewer_dvi.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/fictionbook/CMakeLists.txt ===
include_directories(
   ${CMAKE_BINARY_DIR}/okular
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)


########### next target ###############

set(okularGenerator_fb_PART_SRCS
  converter.cpp
  document.cpp
  generator_fb.cpp
)


kde4_add_plugin(okularGenerator_fb ${okularGenerator_fb_PART_SRCS})

target_link_libraries(okularGenerator_fb okularcore ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY})

install(TARGETS okularGenerator_fb DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_fb.desktop okularFb.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_fb.desktop active-documentviewer_fb.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/ooo/CMakeLists.txt ===
include_directories(
   ${CMAKE_BINARY_DIR}/okular
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture (QCA)" "http://delta.affinix.com/qca/" FALSE "2.0.0" "Support for encrypted OpenDocument Text documents in Okular.")

if ( QCA2_FOUND )
   include_directories( ${QCA2_INCLUDE_DIR} )
   add_definitions( -DQCA2 )
endif( QCA2_FOUND )

########### next target ###############

set(okularGenerator_ooo_PART_SRCS
  converter.cpp
  document.cpp
  formatproperty.cpp
  generator_ooo.cpp
  manifest.cpp
  styleinformation.cpp
  styleparser.cpp
)


kde4_add_plugin(okularGenerator_ooo ${okularGenerator_ooo_PART_SRCS})

target_link_libraries(okularGenerator_ooo okularcore ${KDE4_KIO_LIBS} ${MATH_LIB} ${QT_QTXML_LIBRARY})
if (QCA2_FOUND)
  target_link_libraries(okularGenerator_ooo okularcore ${QCA2_LIBRARIES})
endif (QCA2_FOUND)

install(TARGETS okularGenerator_ooo DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_ooo.desktop okularOoo.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_ooo.desktop active-documentviewer_ooo.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/chm/kio-msits/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../..
   ${CMAKE_CURRENT_SOURCE_DIR}/../lib
   ${CHM_INCLUDE_DIR}
)


########### next target ###############

set(kio_msits_PART_SRCS msits.cpp )


kde4_add_plugin(kio_msits ${kio_msits_PART_SRCS})

target_link_libraries(kio_msits  ${KDE4_KIO_LIBS} ${CHM_LIBRARY} )

install(TARGETS kio_msits DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES msits.protocol DESTINATION  ${SERVICES_INSTALL_DIR} )

=== generators/spectre/conf/CMakeLists.txt ===

install(FILES gssettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== debian/changelog ===
okular (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:25:28 +0100

okular (4:4.12.97-0ubuntu2) trusty; urgency=medium

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Rename librery to libokularcore4 for upstream soversion change

  [ Rohan Garg ]
  * Make sure everything depends on the right lib
    - libokularcore3abi1 -> libokularcore4

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 Apr 2014 11:53:28 +0200

okular (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:52:27 +0100

okular (4:4.12.90-0ubuntu3) trusty; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2014 10:25:40 +0000

okular (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2014 09:44:01 +0000

okular (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * new upstream alpha release

  [ Philip Muškovac ]
  * Bump ABI of libokularcore3 to 1 and update install and symbols file 
  * Build-depend on libkscreen-dev 

  [ Jonathan Riddell ]
  * Add build-dep on libqjson-dev
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:59:47 +0000

okular (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:13:56 +0100

okular (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 15:57:38 +0000

okular (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:24:51 +0000

okular (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:38:24 +0000

okular (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:41:01 +0000

okular (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:39:53 +0000

okular (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:35:46 +0100

okular (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add build-dependency on libqmobipocket-dev and libkexiv2-dev
  * okular breaks/replaces old kdegraphics-mobipocket

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:56:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.13.0),
  pkg-config,
- libkactivities-dev (>= 4:4.11.3),
+ libkactivities-dev (>= 4:4.13.0),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),
@@ -23,16 +23,19 @@
  libfreetype6-dev,
  zlib1g-dev,
  plasma-active-dev,
- plasma-widgets-active
+ plasma-widgets-active,
+ libqmobipocket-dev (>= 4:4.13.0),
+ libkexiv2-dev (>= 4:4.13.0),
+ libkscreen-dev,
+ libqjson-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/okular.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/okular.git
 
-Package: libokularcore3
-X-Debian-ABI: 0
+Package: libokularcore4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,9 +47,11 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore4 (= ${binary:Version})
 Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
 Provides: pdf-viewer, postscript-viewer
+Breaks: kdegraphics-mobipocket (<< 4:4.11.80)
+Replaces: kdegraphics-mobipocket (<< 4:4.11.80)
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
  features, such as annotations, forms, and embedded files.
@@ -66,8 +71,8 @@
 Package: okular-dev
 Section: libdevel
 Architecture: any
-Depends: libokularcore3 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libokularcore3}
+Depends: libokularcore4 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libokularcore4}
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
  backends.
@@ -91,7 +96,7 @@
 Package: active-documentviewer
 Section: graphics
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore3 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libokularcore4 (= ${binary:Version})
 Suggests: okular-extra-backends (= ${binary:Version}), texlive-binaries, unrar, poppler-data, ghostscript, jovie
 Provides: pdf-viewer, postscript-viewer
 Description: universal document viewer for Plasma Active

## okular 4.13.3

=== shell/CMakeLists.txt ===

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/..
)

# checking whether we should enable activities support

macro_optional_find_package(KActivities 6.1.0)
macro_log_feature(KActivities_FOUND "KActivities" "Activities interface library" "https://projects.kde.org/projects/kde/kdelibs/kactivities" FALSE "6.1.0" "Required for Activities integration.")

if(KActivities_FOUND)
 add_definitions(-DKActivities_FOUND)
 include_directories(${KACTIVITIES_INCLUDE_DIRS})
endif(KActivities_FOUND)

# okular

set(okular_SRCS
   main.cpp
   shell.cpp
   shellutils.cpp
)

kde4_add_app_icon(okular_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../ui/data/icons/hi*-apps-okular.png")

kde4_add_executable(okular ${okular_SRCS})

target_link_libraries(okular ${KDE4_KPARTS_LIBS} ${KACTIVITIES_LIBRARY})

install(TARGETS okular ${INSTALL_TARGETS_DEFAULT_ARGS})


# okular shell data files

install( PROGRAMS okular.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES shell.rc DESTINATION ${DATA_INSTALL_DIR}/okular )

=== ui/CMakeLists.txt ===
add_subdirectory( data )

=== generators/fax/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)


########### next target ###############

set(okularGenerator_fax_PART_SRCS generator_fax.cpp faxdocument.cpp faxexpand.cpp faxinit.cpp )

kde4_add_plugin(okularGenerator_fax ${okularGenerator_fax_PART_SRCS})

target_link_libraries(okularGenerator_fax okularcore ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})

install(TARGETS okularGenerator_fax DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_fax.desktop okularFax.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_fax.desktop active-documentviewer_fax.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/mobipocket/CMakeLists.txt ===
include_directories( ${QMOBIPOCKET_INCLUDE_DIR}  )

########### next target ###############

set(okularGenerator_mobi_PART_SRCS
  mobidocument.cpp
  generator_mobi.cpp
  converter.cpp
)

kde4_add_plugin(okularGenerator_mobi ${okularGenerator_mobi_PART_SRCS})

target_link_libraries(okularGenerator_mobi okularcore ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTGUI_LIBRARY} ${QMOBIPOCKET_LIBRARIES})

install(TARGETS okularGenerator_mobi DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES libokularGenerator_mobi.desktop okularMobi.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_mobi.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/poppler/CMakeLists.txt ===
add_subdirectory( conf )

set(CMAKE_REQUIRED_INCLUDES ${POPPLER_INCLUDE_DIR} ${QT_INCLUDE_DIR})
set(CMAKE_REQUIRED_LIBRARIES ${POPPLER_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY})

configure_file(
   ${CMAKE_CURRENT_SOURCE_DIR}/config-okular-poppler.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-okular-poppler.h
)

# Can be multiple include directories for poppler
separate_arguments(POPPLER_INCLUDE_DIR)
foreach(_include_dir ${POPPLER_INCLUDE_DIR})
    include_directories(${_include_dir})
endforeach(_include_dir ${POPPLER_INCLUDE_DIR})

include_directories(
   ${CMAKE_BINARY_DIR}/okular
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

########### next target ###############

find_package(ZLIB REQUIRED)

include_directories(
  synctex
  ${ZLIB_INCLUDE_DIR}
)

set(okularGenerator_poppler_PART_SRCS
   generator_pdf.cpp
   formfields.cpp
   annots.cpp
   synctex/synctex_parser.c
   synctex/synctex_parser_utils.c
)

kde4_add_ui_files(okularGenerator_poppler_PART_SRCS
   conf/pdfsettingswidget.ui
)

kde4_add_kcfg_files(okularGenerator_poppler_PART_SRCS conf/pdfsettings.kcfgc )

kde4_add_plugin(okularGenerator_poppler ${okularGenerator_poppler_PART_SRCS})

target_link_libraries(okularGenerator_poppler ${POPPLER_LIBRARY} okularcore ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${ZLIB_LIBRARIES})

install(TARGETS okularGenerator_poppler DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_poppler.desktop okularPoppler.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_pdf.desktop active-documentviewer_pdf.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/xps/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)


########### next target ###############

set(okularGenerator_xps_SRCS
   generator_xps.cpp
)


kde4_add_plugin(okularGenerator_xps ${okularGenerator_xps_SRCS})

target_link_libraries(okularGenerator_xps okularcore ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY})

install(TARGETS okularGenerator_xps DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES libokularGenerator_xps.desktop okularXps.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( PROGRAMS okularApplication_xps.desktop active-documentviewer_xps.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== generators/epub/data/CMakeLists.txt ===
 
install(FILES
  okular-epub-sound-icon.png
  okular-epub-movie.png
  DESTINATION ${DATA_INSTALL_DIR}/okular/pics)

=== debian/changelog ===
okular (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:37:25 +0200

okular (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:54:18 +0200

okular (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:56:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  pkg-config,
- libkactivities-dev (>= 4:4.13.0),
+ libkactivities-dev (>= 4:4.13.3),
  libdjvulibre-dev,
  libepub-dev,
  libpoppler-qt4-dev (>= 0.8.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=okular-dbg

## okular 4.14.1

=== debian/changelog ===
okular (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add kubuntu_no-failing-test.diff to ignore failing test

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Sep 2014 19:32:46 +0200

okular (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Removing support for plasma-active as it doees not exist in Utopic. 
  * Move leftover plasma-active files to not-installed
  * Add missing icons to install file. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:51:44 +0200

okular (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * Remove no_xrandr_support_on_xvfb.patch unneeded with libkscreen
    1.0.5
  * New upstream release
  * libokularcore4 now libokularcore5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:36:21 +0200

okular (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:27:31 +0200

okular (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:52:09 +0200

okular (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Removed version from libkactivities-dev depend as it was not updated.
  * Patch symbols with batchpatch

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 16:17:06 -0700

okular (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:08:49 +0100

okular (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes
    - Build with plasma-active
    - Build with libtiff5-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 06 Jun 2014 13:30:52 +0200

okular (4:4.13.1-2) unstable; urgency=medium

  * Update symbols files with 4:4.13.1-1 build logs.
  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 Jun 2014 10:39:27 +0200

okular (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Follow upstream soversion bump of okularcore.
  * New patch: no_xrandr_support_on_xvfb.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 11:31:34 +0200

okular (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:49 +0200

okular (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Add breaks kdegraphics-mobipocket prior 4:4.12. (Closes: #739112)
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:31 +0100

okular (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:31 +0100

okular (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jan 2014 19:28:18 -0300

okular (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:21 +0100

okular (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Bump lib package soname.
  * Update install files.
  * Add symbols file for libokularcore3.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:14:44 +0200

okular (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 12:58:12 +0200

okular (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Switch libtiff4-dev build dependency to libtiff-dev.

  [ Maximiliano Curia ]
  * Bump debhelper build-dep and compat to 9.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 13:58:51 +0200

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libchm-dev,
               libdjvulibre-dev,
               libepub-dev,
               libfreetype6-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkexiv2-dev,
               libkscreen-dev,
               libpoppler-qt4-dev (>= 0.8.0),
               libqca2-dev,
               libqimageblitz-dev,
               libqjson-dev,
               libqmobipocket-dev,
               libspectre-dev,
               libtiff5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.14),
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/okular
X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/okular.git
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/okular.git

Package: libokularcore5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: libokularcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ghostscript,
          jovie,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12)
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libokularcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libokularcore5}
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * Microsoft Compiled HTML Help (CHM)
  * Tagged Image File Format (TIFF)
  * DjVu scanned page format
  * EPub eBooks
 .
 This package is part of the KDE graphics module.

Package: okular-dbg
Section: debug
Architecture: any
Priority: extra
Depends: okular (= ${binary:Version}), ${misc:Depends}
Replaces: kdegraphics-dbg (<= 4.6.90)
Breaks: kdegraphics-dbg (<= 4.6.90)
Description: debugging symbols for okular
 This package contains debugging files used to investigate problems with
 binaries included in the KDE okular document viewer

## okular 4.14.2

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR okular)
kde4_create_manpage(man-okular.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== shell/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 set(okular_SRCS
    main.cpp
+   okular_main.cpp
    shell.cpp
    shellutils.cpp
 )

=== debian/changelog ===
okular (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:07:22 +0200

okular (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:31:02 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libchm-dev,
                libdjvulibre-dev,
                libepub-dev,

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11,
         texlive-latex-base
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/okular-([\d\.]*).tar.xz
